Subject: Re: Like-unix tree directories
From: [email-masked] (Christopher G. Faylor)

17 Jul 1998 03:02:06 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
CRETEL Dominique <[email-masked]> wrote:
>I'm using cygwin32 b19.1 and have installed it on my D: drive
>(D:\Cygnus\B19).
>
>I use also a lot of packages like: egcs, gas, perl, python, miktex,
>autoconf, man, vim and so on.
>So, I have to install them somewhere in the windows tree.
>But, I'll have to add a lot of paths to my PATH variable environment.
>
>I remember that in unix, you have a short PATH variable environment
>(like: PATH=/bin:/usr/bin:/usr/local/bin???).
>
>So, I would like to build a unix-like tree files.
>
>Under cygnus, It can be done for example by mounting device or
>directories to get something like unix tree files.
>
>For example:
>D:\Cygnus\B19\H-i386-cygwin32 mount as /bin unix-like directories,
>C:\texmf\MiKTeX\bin mount as /usr/local/bin ???
>
>Is it possible???
>How to to that???
>I know it's a big question.

Use the mount command:

mount h:\someplace\far\away\and\hard\to\remember\bin /bin

Then /bin will refer to the h:\... path.  This is only for cygwin
applications, though.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada